Installation

Getting error after upgrade from 6.5 to 6.6. and restarting: "License Manager: Failed to contact license master...".

Explorer

After upgrading a client Splunk to v6.6.0, I see the following message when restarting the Splunk instance:

License Manager: Failed to contact license master: reason='Unable to connect to license master=https://-redacted-:8089 Error connecting: error:1408F10B:SSL routines:SSL3_GET_RECORD:wrong version number', first failure time=1494443896 (Wed May 10 12:18:16 2017 PDT).

This worked great with previous Splunk versions. The most recent version before the upgrade was:
splunk-6.5.0-59c8927def0f-linux-2.6-amd64.deb

The upgrade (with the error) is:
splunk-6.6.0-1c4f3bbe1aea-linux-2.6-amd64.deb

Labels (2)
1 Solution

Explorer

After being told there's a new(er) licence manager and pointing my instance to it, I no longer see this message.
So it seems like an old version of the LM had no SSL v3 support and newer versions do.
Though why did this break with splunk-6.6.0 may be actually outlined here:

http://docs.splunk.com/Documentation/Splunk/6.6.0/Installation/Aboutupgradingto6.6READTHISFIRST

View solution in original post

0 Karma

Explorer

After being told there's a new(er) licence manager and pointing my instance to it, I no longer see this message.
So it seems like an old version of the LM had no SSL v3 support and newer versions do.
Though why did this break with splunk-6.6.0 may be actually outlined here:

http://docs.splunk.com/Documentation/Splunk/6.6.0/Installation/Aboutupgradingto6.6READTHISFIRST

View solution in original post

0 Karma